Public Member Functions

# wxGCDC Class Reference
[Device Contexts]

`#include <wx/dcgraph.h>`

Inheritance diagram for wxGCDC:
[legend]

## Detailed Description

wxGCDC is a device context that draws on a wxGraphicsContext.

##

Library: wxCore
Category: Device Contexts

See also:
  wxDC, wxGraphicsContext

## Public Member Functions
| wxGCDC (const wxWindowDC &dc)
| Constructs a wxGCDC from a wxWindowDC.
| wxGCDC (const wxMemoryDC &dc)
| Constructs a wxGCDC from a wxMemoryDC.
| wxGCDC (const wxPrinterDC &dc)
| Constructs a wxGCDC from a wxPrinterDC.
| wxGCDC (wxGraphicsContext *context)
| Construct a wxGCDC from an existing grtaphics context.
| wxGCDC ()
virtual | ~wxGCDC ()
wxGraphicsContext * | GetGraphicsContext () const
| Retrieves associated wxGraphicsContext.
void | SetGraphicsContext (wxGraphicsContext *ctx)
| Set the grpahics context to be used for this wxGCDC.

List of all members.

## Constructor & Destructor Documentation

wxGCDC::wxGCDC | ( | const wxWindowDC & | dc | ) |

Constructs a wxGCDC from a wxWindowDC.

wxGCDC::wxGCDC | ( | const wxMemoryDC & | dc | ) |

Constructs a wxGCDC from a wxMemoryDC.

wxGCDC::wxGCDC | ( | const wxPrinterDC & | dc | ) |

Constructs a wxGCDC from a wxPrinterDC.

wxGCDC::wxGCDC | ( | wxGraphicsContext * | context | ) |

Construct a wxGCDC from an existing grtaphics context.

wxGCDC::wxGCDC | ( |  | ) |

virtual wxGCDC::~wxGCDC | ( |  | ) | `[virtual]`

## Member Function Documentation

wxGraphicsContext* wxGCDC::GetGraphicsContext | ( |  | ) | const

Retrieves associated wxGraphicsContext.

void wxGCDC::SetGraphicsContext | ( | wxGraphicsContext * | ctx | ) |

Set the grpahics context to be used for this wxGCDC.

|  | [ top ]